BS_GITVER_USE_TAG ?= "0"
inherit gitver
GITVER_S = "${EXTERNALSRC}"

externalsrc_bs_do_clone() {
    rm -rf "${S}"
    cp -alLf "${EXTERNALSRC}/." "${S}"
    rm -rf "${S}/.git"
}

python externalsrc_bs_do_unpack() {
    # Let base.bbclass get stuff from SRC_URI and kernel.bbclass have
    # its wicked way too.
    bb.build.exec_func("base_do_unpack", d)

    nc = d.getVar('EXTERNALSRC_NEEDS_COPY', True)
    if nc and nc != "0":
        bb.build.exec_func("do_clone", d)
    else:
        # Use a symlink since it's less destructive that changing S
        # directly if we end up cleaning it.
        s = d.getVar('S', True)
        externalsrc = d.getVar('EXTERNALSRC', True)

        # ${S} might already exist as a symlink. If so, then we can
        # just remove it.
        if os.path.islink(s):
            os.unlink(s)

        # ${S} might already exist as an empty directory. If so then
        # we can remove it. If it contains anything then this will
        # intentionally fail.
        if os.path.exists(s):
            os.rmdir(s)
        os.symlink(externalsrc, s)
}

EXTERNALSRC_NEEDS_COPY ?= "0"

python () {
    # externalsrc must not be expanded otherwise S will end up
    # differing based on the build directory which will taint the task
    # hashes. Left unexpanded, it will (usually) be relative to
    # ${FILE} which is whitelisted so it won't taint the hash.
    externalsrc = d.getVar('EXTERNALSRC', False)
    if not externalsrc:
        bb.fatal("EXTERNALSRC not set")
	
    nc = d.getVar('EXTERNALSRC_NEEDS_COPY', True)
    if nc and nc != "0":
        d.setVar('S', '${WORKDIR}/clone')
}

EXPORT_FUNCTIONS do_clone do_unpack
