# brightsign-fwup-image
#
# Image configuration for BrightSign based on Nexus
#

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

# Install basic files only
IMAGE_INSTALL = "base-files \
		 busybox \
		 mtd-utils \
		 mtd-utils-ubifs \
		 brightsign-apps-watch-fwup \
                 brightsign-apps-has-feature \
                 brightsign-apps-is-board \
                 brightsign-apps-rescue-upgrade-required \
		 brightsign-fwup-scripts \
		 "

IMAGE_LINGUAS = ""
IMAGE_FEATURES = ""
IMAGE_FSTYPES = "cpio.gz"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit image
inherit image_filelist

addtask rootfs before do_populate_staging after do_install

# We need to ensure that the glibc used in the firmware update rootfs
# is compatible with kernels this old. There are threats from the
# glibc people to stop support kernels older than v3.2. This is for
# Panther. In the future we might need to split it by machine.
OLDEST_SHIPPED_RESCUE_KERNEL = "2.6.37"

addtask check_oldest_kernel before do_unpack

python do_check_oldest_kernel() {
    oldest_kernel = d.getVar('OLDEST_KERNEL', True)
    maximum_oldest_kernel = d.getVar('OLDEST_SHIPPED_RESCUE_KERNEL', True)

    oldest_kernel_tuple = bb.utils.explode_version(oldest_kernel)
    maximum_oldest_kernel_tuple = bb.utils.explode_version(maximum_oldest_kernel)

    if oldest_kernel_tuple > maximum_oldest_kernel_tuple:
        bb.error("OLDEST_KERNEL='%s' is too new for %s which requires at most '%s'" % (oldest_kernel, d.getVar('BASE_MACHINE', True), maximum_oldest_kernel))
}
