PV = "5.6+20170517T133328+5289955f6bf2+20170531T151259+83c4fdc2a132+20161012T201911+7fff177ca17d-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtwebengine-5.6+20170517T133328+5289955f6bf2+20170531T151259+83c4fdc2a132+20161012T201911+7fff177ca17d-bs.tar.gz"
SRC_URI[md5sum] = "db2accc516e8570ae83fb11a319b8f29"
SRC_URI[sha256sum] = "9552b206d64a95c9572cf5dddf08dd682c1aac64224006959d1a5f2f6cdc2be1"
SUMMARY = "QtWebEngine combines the power of Chromium and Qt"

LICENSE = "LGPL-3.0 & BSD"
LIC_FILES_CHKSUM = " \
    file://src/core/browser_context_qt.cpp;md5=5fe719c44250955a5d5f8fb15fc8b1da;beginline=1;endline=35 \
    file://src/3rdparty/chromium/LICENSE;md5=537e0b52077bf0a616d0a0c8a79bc9d5 \
    file://LICENSE.LGPLv3;md5=8211fde12cc8a4e2477602f5953f5b71 \
    file://LICENSE.GPLv3;md5=88e2b9117e6be406b5ed6ee4ca99a705 \
    file://LICENSE.GPLv2;md5=c96076271561b0e3785dad260634eaa8 \
"

export BS_LTTNG
DEPENDS += " \
    ninja-native \
    qtbase qtdeclarative \
    qtlocation \
    libdrm fontconfig pixman openssl pango cairo pciutils \
    libcap \
    virtual/gettext \
"

# when qtbase is built with xcb enabled (default with x11 in DISTRO_FEATURES),
# qtwebengine will have additional dependencies:
# contains(QT_CONFIG, xcb): REQUIRED_PACKAGES += libdrm xcomposite xcursor xi xrandr xscrnsaver xtst
# xscreensaver isn't covered in qtbase DEPENDS
DEPENDS += "${@base_contains('DISTRO_FEATURES', 'x11', 'libxscrnsaver', '', d)}"

DEPENDS += "yasm-native"
EXTRA_QMAKEVARS_PRE += "GYP_CONFIG+=use_system_yasm"

# To use system ffmpeg you need to enable also libwebp, opus, vpx											    
# Only depenedencies available in oe-core are enabled by default
PACKAGECONFIG ??= "libwebp flac libevent libxslt speex libpng harfbuzz expat libxml2 libusb fontconfig freetype expat nss"
PACKAGECONFIG[opus] = "WEBENGINE_CONFIG+=use_system_opus,,libopus"
PACKAGECONFIG[icu] = "WEBENGINE_CONFIG+=use_system_icu,,icu"
#PACKAGECONFIG[ffmpeg] = "WEBENGINE_CONFIG+=use_system_ffmpeg,,libav"
PACKAGECONFIG[libwebp] = "WEBENGINE_CONFIG+=use_system_libwebp,,libwebp"
PACKAGECONFIG[flac] = "WEBENGINE_CONFIG+=use_system_flac,,flac"
PACKAGECONFIG[libevent] = "WEBENGINE_CONFIG+=use_system_libevent,,libevent"
PACKAGECONFIG[libxslt] = "WEBENGINE_CONFIG+=use_system_libxslt,,libxslt"
PACKAGECONFIG[speex] = "WEBENGINE_CONFIG+=use_system_speex,,speex"
PACKAGECONFIG[vpx] = "WEBENGINE_CONFIG+=use_system_vpx,,libvpx"
#PACKAGECONFIG[jpeg] = "WEBENGINE_CONFIG+=use_system_libjpeg,,libjpeg"
PACKAGECONFIG[libpng] = "WEBENGINE_CONFIG+=use_system_libpng,,libpng"
PACKAGECONFIG[harfbuzz] = "WEBENGINE_CONFIG+=use_system_harfbuzz,,harfbuzz"
PACKAGECONFIG[expat] = "WEBENGINE_CONFIG+=use_system_expat,,expat"
PACKAGECONFIG[libxml2] = "WEBENGINE_CONFIG+=use_system_libxml2,,libxml2"
PACKAGECONFIG[libusb] = "WEBENGINE_CONFIG+=use_system_libusb,,libusb"
PACKAGECONFIG[fontconfig] = "WEBENGINE_CONFIG+=use_system_fontconfig,,fontconfig"
PACKAGECONFIG[freetype] = "WEBENGINE_CONFIG+=use_system_freetype,,freetype"
PACKAGECONFIG[expat] = "WEBENGINE_CONFIG+=use_system_expat,,expat"
PACKAGECONFIG[nss] = "WEBENGINE_CONFIG+=use_nss_certs,,nss"

EXTRA_OECONF += "${@base_conditional('BS_LTTNG', '1', 'WEBENGINE_CONFIG+=lttng', '', d)}"
EXTRA_OECONF += "WEBENGINE_CONFIG+=no_ui_delegates"

EXTRA_QMAKEVARS_PRE += "${EXTRA_OECONF}"

COMPATIBLE_MACHINE = "(-)"
COMPATIBLE_MACHINE_i586 = "(.*)"
COMPATIBLE_MACHINE_x86-64 = "(.*)"
COMPATIBLE_MACHINE_armv6 = "(.*)"
COMPATIBLE_MACHINE_armv7a = "(.*)"
COMPATIBLE_MACHINE_mipsel = "(.*)"

inherit qmake5
inherit gettext
inherit pythonnative
inherit perlnative
inherit nfsquick

# we don't want gettext.bbclass to append --enable-nls
def gettext_oeconf(d):
    return ""

require recipes-qt/qt5/qt5.inc
# To avoid trouble start with not separated build directory
SEPB = "${S}"
B = "${SEPB}"

export NINJA_PATH="${STAGING_BINDIR_NATIVE}/ninja"

do_configure() {
    # replace LD with CXX, to workaround a possible gyp inheritssue?
    export LD="${CXX}"
    export CC="${CC}"
    export CXX="${CXX}"
    export CC_host="${BUILD_CC}"
    export CXX_host="${BUILD_CXX}"
    export QMAKE_MAKE_ARGS="${EXTRA_OEMAKE}"
    export QMAKE_CACHE_EVAL="${EXTRA_OECONF}"

    # Disable autodetection from sysroot:
    sed -i 's/packagesExist([^)]*vpx[^)]*):/false:/g; s/config_srtp:/false:/g; s/config_snappy:/false:/g; s/packagesExist(nss):/false:/g; s/packagesExist(minizip, zlib):/false:/g; s/packagesExist(libwebp,libwebpdemux):/false:/g; s/packagesExist(libxml-2.0,libxslt):/false:/g; s/^ *packagesExist($$package):/false:/g' ${S}/tools/qmake/mkspecs/features/configure.prf

    # Work around a bug causing ld_host to be set wrong when configure runs for the second time
    rm -f ./src/core/qmake_extras.gypi

    # qmake can't find the OE_QMAKE_* variables on it's own so directly passing them as
    # arguments here
    ${OE_QMAKE_QMAKE} -r ${EXTRA_QMAKEVARS_PRE} QTWEBENGINE_ROOT="${S}" \
        QMAKE_CXX="${OE_QMAKE_CXX}" QMAKE_CC="${OE_QMAKE_CC}" \
        QMAKE_LINK="${OE_QMAKE_LINK}" \
        QMAKE_CFLAGS="${OE_QMAKE_CFLAGS}" \
        QMAKE_CXXFLAGS="${OE_QMAKE_CXXFLAGS}" \
        QMAKE_AR="${OE_QMAKE_AR} cqs" \
	QMAKE_INCDIR_QT="${STAGING_DIR_TARGET}/${OE_QMAKE_PATH_HEADERS}" \
        -after ${EXTRA_QMAKEVARS_POST}
}

do_install_append() {
    rmdir ${D}${OE_QMAKE_PATH_PLUGINS}/${BPN} ${D}${OE_QMAKE_PATH_PLUGINS} || true
}
PACKAGE_DEBUG_SPLIT_STYLE = "debug-without-src"

# for /usr/share/qt5/qtwebengine_resources.pak
FILES_${PN} += "${OE_QMAKE_PATH_QT_TRANSLATIONS} ${OE_QMAKE_PATH_QT_DATA} {libdir}/libnode.so.1 {libdir}/libv8.so.1"

RDEPENDS_${PN}-examples += " \
    ${PN}-qmlplugins \
    qtquickcontrols-qmlplugins \
    qtdeclarative-qmlplugins \
"
DEPENDS += "\
    boost \
    lttng-ust \
    lttng-ust-gen-tp-native \
    nss \
    "

WK_DEBUG ?= "0"
WK_DEBUG_SUFFIX = "${@base_conditional('WK_DEBUG', '1', '-wkd', '', d)}"

# We build in the same way for multiple machines but differ based on
# BS_TIMEDOCTOR so we must tweak PACKAGE_ARCH accordingly in order to
# generate separate packages. Without this PACKAGE_ARCH would just be
# ${TUNE_PKGARCH} so we need to append to that.
PACKAGE_ARCH = "${TUNE_PKGARCH}${@base_conditional('BS_TIMEDOCTOR', '1', '-td', '', d)}"

export BS_LTTNG
EXTRA_QMAKEVARS_PRE += "EXTRA_GYP="-Denable_app_list=0 -Duse_libjpeg_turbo=0 -Dsafe_browsing=0 \
                -Ddisable_fatal_linker_warnings=1 \
                ${@base_contains('DISTRO_FEATURES', 'ld-is-gold', '-Dlinux_use_gold_binary=1', '-Dlinux_use_gold_binary=0', d)} \
                ${@base_contains('DISTRO_FEATURES', 'ld-is-gold', '-Dlinux_use_gold_flags=1', '-Dlinux_use_gold_flags=0', d)} \
                        -Dinput_speech=0 -Dnotifications=0 -Denable_google_now=0 -Denable_printing=0 \
                        -Denable_spellcheck=0 -Denable_background=0 -Denable_task_manager=0 \
                        -Denable_one_click_signin=0 -Denable_pre_sync_backup=0 \
                        -Denable_plugins=0 -Denable_plugin_installations=0 \
                        -Denable_hidpi=0 \
                        -Dremoting=0 -Duse_system_fontconfig=1 -Duse_lttng=${BS_LTTNG} \
                	-Ddcheck_always_on=${BS_CHROMIUM_DCHECK_ALWAYS_ON}  \
                	-Denable_webrtc=${BS_CHROMIUM_ENABLE_WEBRTC}  "\
                        ${@base_conditional('WK_DEBUG', '1', '-r CONFIG+=debug', '-r CONFIG+=release', d)} "

UNWINDING = ""


LDFLAGS += "-Wl,-Map,link.map"
CXXFLAGS += "-std=gnu++11"

# Be careful with this one, do_install_append does rm -rf on it.
QTWEBENGINE_REMOVE_PATH = "${D}${datadir}/qt5/translations"

do_install_prepend() {
    bbdebug 2 "STAGING_DIR_TARGET is "${STAGING_DIR_TARGET}
}

do_install_append() {
	install -m 0644 ${S}/src/3rdparty/chromium/brcm/media/media_player/brightsign/brightsign_media_glue.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0755 ${S}/src/core/Release/lib/libnode.so.1 ${D}${libdir}/
	install -m 0755 ${S}/src/core/Release/lib/libv8.so.1 ${D}${libdir}/
	rm -rf ${QTWEBENGINE_REMOVE_PATH}
}

do_lttng() {
    mkdir -p ${B}/$1
    ( cd ${B}/$1 && lttng-gen-tp ${S}/$1/$2.tp -o $2.c -o $2.h )
}

do_compile_prepend() {
    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/3rdparty/chromium/base/trace" ]; then
       (
          cd ${S}/src/3rdparty/chromium/base/trace;
          if [ -f "chromium_tp.tp" ]; then
             lttng-gen-tp chromium_tp.tp -o chromium_tp.c -o chromium_tp.h
          fi
       )
    fi
    if [ "${BS_LTTNG}" = "1" ]; then
        do_lttng src/webenginewidgets/trace qt_webengine_widgets_tp
    fi
}

