# We need our version of libglib to use our own pcre because glib
# modifies its version so heavily it no longer seems to support UTF-8
# (or perhaps even being used without glib.)

inherit nfsquick

PR .= ".bs2"
DEPENDS += "libpcre"
EXTRA_OECONF_append_class-target = " --with-pcre=system"

THISOTHERDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISOTHERDIR}/${PN}-${PV}", "${THISOTHERDIR}/files"], d)}:"

SRC_URI += "file://gsocket-ssm.patch"

GLIB_DEBUG = "no"
GLIB_DEBUG_panther-tests = "yes"
GLIB_DEBUG_cheetah-x11 = "yes"
EXTRA_OECONF += "--enable-debug=${GLIB_DEBUG}"

# Needed to build glib-native 2.44 with gcc-6.3
CFLAGS_class-native += "-Wno-error=format-nonliteral"
