DESCRIPTION = "LibTomCrypt is a fairly comprehensive, modular \
and portable cryptographic toolkit that provides developers \
with a vast array of well known published block ciphers, \
one-way hash functions, chaining modes, pseudo-random number \
generators, public key cryptography and a plethora of other \
routines."
SECTION = "libs/network"
PRIORITY = "optional"
LICENSE = "PD"
PR = "r3"
LIC_FILES_CHKSUM = "file://LICENSE;md5=6c4fa89d7c9f2c00b6507ef96934ed6a"

SRC_URI = "https://github.com/libtom/libtomcrypt/releases/download/1.17/crypt-${PV}.tar.bz2"

CFLAGS =. "-DUSE_TFM -DTFM_DESC"
EXTRA_OEMAKE = "library"

DEPENDS = "libtfm"

do_install() {
	mkdir -p ${D}${includedir} ${D}${libdir}
	oe_libinstall -a libtomcrypt ${D}${libdir}
	install -m 0644 ${S}/src/headers/*.h ${D}${includedir}/
}

SRC_URI[md5sum] = "cea7e5347979909f458fe7ebb5a44f85"
SRC_URI[sha256sum] = "e33b47d77a495091c8703175a25c8228aff043140b2554c08a3c3cd71f79d116"
