#!/bin/sh

BS_MAX_TRACEFILE_MB="${BS_MAX_TRACEFILE_MB:-20}M"

case "$1" in
  start)
	mkdir -p $LTTNG_HOME
#	lttng-sessiond -d --no-kernel
	have_kernel_probes=0
	case `uname -r` in
	    3.14.*)
		have_kernel_probes=1
		for m in lttng-lib-ring-buffer lttng-statedump lttng-kprobes lttng-kretprobes lttng-ftrace lttng-tracer lttng-ring-buffer-client-discard lttng-ring-buffer-client-overwrite lttng-ring-buffer-metadata-client lttng-ring-buffer-client-mmap-discard lttng-ring-buffer-client-mmap-overwrite lttng-ring-buffer-metadata-mmap-client lttng-probe-sched lttng-probe-irq lttng-probe-printk lttng-probe-kmem lttng-probe-gpio lttng-probe-signal lttng-probe-timer lttng-probe-workqueue; do
		    insmod /lib/modules/$m.ko || true
		done
		;;
	esac
	lttng create bs
	lttng enable-channel -u channel0 --overwrite --tracefile-size "${BS_MAX_TRACEFILE_MB}"
	if [ $have_kernel_probes -eq 1 ]; then
	    lttng enable-channel -k channel0 --overwrite
	fi
	;;
esac
