inherit nfsquick

BS_APPEND_DIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${BS_APPEND_DIR}/files"], d)}:"

PR .= "bs1"

PROVIDES_remove = "virtual/libgl"
REQUIRED_DISTRO_FEATURES_remove = "opengl"

# Compiling mesa requires makedepend-native which uses the MIT-X license.
# Since this override only extracts the headers this unnecessary dependency
# can be removed.
DEPENDS = ""

SRC_URI += "file://eglextchromium.h"
SRC_URI += "file://eglext.diff"

MESA_GL_HEADERS = "\
    EGL/eglext.h \
    EGL/eglmesaext.h \
    EGL/egl.h \
    EGL/eglplatform.h \
    GLES2/gl2ext.h \
    GLES2/gl2.h \
    GLES2/gl2platform.h \
    GLES/egl.h \
    GLES/glext.h \
    GLES/gl.h \
    GLES/glplatform.h \
    KHR/khrplatform.h \
"

do_configure() {
    :
}

do_compile() {
    :
}

do_install() {
    install -d ${D}${includedir}/EGL ${D}${includedir}/GLES ${D}${includedir}/GLES2 ${D}${includedir}/KHR
    for i in ${MESA_GL_HEADERS}; do
        install -m 0644 ../mesa-10.6.3/include/$i ${D}${includedir}/$i
    done
    install -m 0644 ${WORKDIR}/eglextchromium.h ${D}/${includedir}/EGL/eglextchromium.h
}

