# $FreeBSD: src/tools/regression/fstest/tests/misc.sh,v 1.1 2007/01/17 01:42:08 pjd Exp $

ntest=1

name253="_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_12"
name255="${name253}34"
name256="${name255}5"
path1021="${name255}/${name255}/${name255}/${name253}"
path1023="${path1021}/x"
path1024="${path1023}x"

fstest="/bin/fstest"

name_max_val=255
path_max_val=4096

# Known operating systems: FreeBSD, SunOS, Linux
os="Linux"

# Known file systems: UFS, ZFS, ext3, ntfs-3g, xfs, exFAT
fs="exFAT"

name_max="_"
i=1
while test $i -lt $name_max_val ; do 
	name_max="${name_max}x"
	i=$(($i+1))
done

num_of_dirs=$(( ($path_max_val + $name_max_val) / ($name_max_val + 1) - 1 ))

long_dir="${name_max}"
i=1
while test $i -lt $num_of_dirs ; do 
	long_dir="${long_dir}/${name_max}"
	i=$(($i+1))
done
long_dir="${long_dir}/x"

too_long="${long_dir}/${name_max}"

create_too_long()
{
	mkdir -p ${long_dir}
}

unlink_too_long()
{
	rm -rf ${name_max}
}

expect()
{
#	cd /
#	sync
#	umount /storage/sd
#	rmmod bsexfat
#	/lib/mdev/usbmount mount mmcblk0 /storage/sd
#	sleep 1
	cd /storage/sd/
	e="${1}"
	shift
	r=`${fstest} $* 2>/dev/null | tail -1`
	echo "${r}" | egrep '^'${e}'$' >/dev/null 2>&1
	if [ $? -ne 0 ]; then
		echo ">>>>>>>>>>>> not ok ${ntest}       $@"
	fi
	ntest=`expr $ntest + 1`
}

jexpect()
{
	s="${1}"
	d="${2}"
	e="${3}"
	shift 3
	r=`jail -s ${s} / fstest 127.0.0.1 /bin/sh -c "cd ${d} && ${fstest} $* 2>/dev/null" | tail -1`
	echo "${r}" | egrep '^'${e}'$' >/dev/null 2>&1
	if [ $? -ne 0 ]; then
		echo ">>>>>>>>>>>> not ok ${ntest}"
	fi
	ntest=`expr $ntest + 1`
}

test_check()
{
	if [ ! $* ]; then
		echo ">>>>>>>>>>>> not ok ${ntest}       $@"
	fi
	ntest=`expr $ntest + 1`
}

namegen()
{
	echo "fstest_`dd if=/dev/urandom bs=1k count=1 2>/dev/null | md5sum  | cut -f1 -d' '`"
}

quick_exit()
{
	exit 0
}

supported()
{
	case "${1}" in
	link)
		if [ ${fs} == "exFAT" ]; then
			return 1
		fi
		;;
	symlink)
		if [ ${fs} == "exFAT" ]; then
			return 1
		fi
		;;
	sticky)
		if [ ${fs} == "exFAT" ]; then
			return 1
		fi
		;;
	permissions)
		if [ ${fs} == "exFAT" ]; then
			return 1
		fi
		;;
	fifo)
		if [ ${fs} == "exFAT" ]; then
			return 1
		fi
		;;
	chflags)
		if [ ${os} != "FreeBSD" -o ${fs} != "UFS" ]; then
			return 1
		fi
		;;
	lchmod)
		if [ ${os} != "FreeBSD" ]; then
			return 1
		fi
		;;
	esac
	return 0
}

require()
{
	if supported ${1}; then
		return
	fi
	quick_exit
}
