SUMMARY = "uHttp library"
DESCRIPTION = "uHTTP for C++ is a developer framework for HTTP client and server applications"
HOMEPAGE = "http://cguhttp.sourceforge.net/"
SECTION = "libs"

LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://COPYING;md5=d390107eed6027277962584df91b7931"

PR = "r2"

SRC_URI = "https://github.com/cybergarage/uHTTP4CC/archive/${PV}.tar.gz \
           file://uhttp-fix-vector.patch \
           file://uhttp-fix-string.patch \
           file://uhttp-fix-leaks.patch \
           file://uhttp-fix-ssize_t.patch \
           file://uhttp-build-libtool.patch \
           file://uhttp-recursive-mutex.patch \
	   file://uhttp-packet-length.patch \
           "

SRC_URI[md5sum] = "79619fac5fd74c50015d9e4399c8e947"
SRC_URI[sha256sum] = "67ec62806c3f8c34fcdee6cd8ac42d43d7c00b13e795e9fa7e8bc8d358e9bccc"

S = "${WORKDIR}/uHTTP4CC-${PV}"

inherit autotools

do_unpack_append() {
    # we're going to overlay a libtool way of building so let's just copy
    # over the top rather than crazy patching

    # first blow away any useless guff
    bb.utils.remove("${S}/configure.in")
    bb.utils.remove("${S}/Makefile.am")
    bb.utils.remove("${S}/Makefile.in")
    bb.utils.remove("${S}/lib/Makefile.in")
    bb.utils.remove("${S}/lib/unix/Makefile.in")

    files_dir = os.path.dirname(bb.data.getVar('FILE', d, True)) + "/files"

    # Now copy over the files for building libtool like
    bb.utils.copyfile(files_dir + "/configure.ac", "${S}/configure.ac")
    bb.utils.copyfile(files_dir + "/Makefile.am", "${S}/Makefile.am")
    bb.utils.copyfile(files_dir + "/libuhttp++.pc.in", "${S}/libuhttp++.pc.in")
}

do_rm_work() {
     # don't_rm_work
     :
}
