# Those that include us expect us to depend on gzip-native so we'd
# better do that regardless. We won't actually use it unless the
# EXTRANATIVEPATH tweak below takes effect though.
DEPENDS += "gzip-native"

# We want to use pigz from its special binary directory under the
# sysroot but we can't risk anyone attempting to use it whilst we're
# still writing to it. This means that using it is all or nothing -
# i.e. it must be added to the path and the dependencies for the very
# first task operation that might call gzip. Without this there's a
# risk that something might try and use a not-yet-fully-formed gzip
# and get "text file busy" errors.
python() {
    if (not d.getVar('PN', True) in ["gzip-native", "pigz-native", "zlib-native", "quilt-native", "xz-native", "gettext-minimal-native", "libtool-native", "gnu-config-native", "automake-native", "autoconf-native", "m4-native", "texinfo-dummy-native"]):
        gzip_provider = d.getVar('PREFERRED_PROVIDER_gzip-native', True)
        d.appendVarFlag('do_unpack', 'depends', ' ' + gzip_provider + ':do_populate_sysroot')
        d.appendVar('EXTRANATIVEPATH', ' ' + gzip_provider)
        d.appendVar('DEPENDS', ' ' + gzip_provider)
}
